using System;
using System.Reflection;
using System.Resources;
using System.Windows.Forms;

namespace dict {

  /// <summary>The main class for the dictionary application</summary>
  public class Dict {

    /// <summary>Resource manager for accessing localized resources.</summary>
    private static ResourceManager RM = new ResourceManager("Resources",
                                                            Assembly.GetExecutingAssembly());

    /// <summary>Returns a resource string for the given name.</summary>
    /// <remarks>Used for translating entries into local cultures.</remarks>
    /// <param name="aRes">The resource string</param>
    /// <returns>
    /// The value of the resource for aRes or aRes itself, if the value can't be
    /// estimated for some reason.
    /// </returns>
    public static string res(string aRes) {
      string retval, s;

      retval = aRes;
      try {
        s = Dict.RM.GetString(aRes);
        if (s != null) retval = s;
      }
      catch(Exception excp) { Console.WriteLine("res exception: {0}", excp); }
      return retval;
    } // res()

    /// <summary>Starts the dictionary application</summary>
    /// <param name="args">ignored</param>
    public static void Main(string[] args) {
      Application.Run(new DictForm());
    } // Main()

  } // class Dict

} // namespace dict

