namespace dict {

  /// <summary>
  /// Used for receiving index entries from the dictionary parser
  /// </summary>
  public interface IDictParserHandler {

    /// <summary>Adds the given index</summary>
    /// <param name="index">the index, eg. English word</param>
    /// <param name="from">
    /// the position at which the indexed entry starts in the dictionary file
    /// </param>
    /// <param name="to">
    /// the position at which the entry ends in the dictionary file
    /// </param>
    /// <returns>
    /// True, if the process should continue or false if it was interrupted
    /// by the user.
    /// </returns>
    bool addIndex(string index, long from, long to);

  } // interface IDictParserHandler

} // namespace dict

