namespace dict {

  /// <summary>Used for showing progress of long term operations</summary>
  public interface IProgress {

    /// <summary>Called in order to tell the current progress</summary>
    /// <param name="perc">the current progress in percents</param>
    void progress(int perc);

    /// <summary>Ready, progress 100 percent</summary>
    /// <param name="msg">message to show after index creation completion</param>
    void ready(string msg);

  } // interface IProgress

} // namespace dict

